petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMSetCoordinatesLocal

Sets into the DM a local vector that holds the coordinates

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetCoordinatesLocal(DM dm, Vec c)

Not collective

### Input Parameters

| dm | - the DM
| c | - coordinate vector

### Notes

The coordinates of ghost points can be set using DMSetCoordinates() followed by DMGetCoordinatesLocal(). This is intended to enable the setting of ghost coordinates outside of the domain.

The vector c should be destroyed by the caller.

### See Also

DMGetCoordinatesLocal(), DMSetCoordinates(), DMGetCoordinates(), DMGetCoordinateDM()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/snes/examples/tutorials/ex56.c.html
src/ts/examples/tutorials/ex11.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages